
// Persistence of Vision Ray Tracer Scene Description File
// File: .inc
// Vers: 3
// Desc: textures de desir: Cuivre_tuyau, Childhood, Desir, Acier, Acier2, T_Glass3, Beton,
//                    Gold_T, T_Wood3, Glass2, Noir, Terre, Acier_Poli
// Date: 05/12/97
// Auth: Denis


// ==== Standard POV-Ray Includes ====
#include "colors.inc"	// Standard Color definitions
#include "textures.inc"	// Standard Texture definitions



// begin definition
#declare Cuivre_tuyau =
texture {
    pigment {
        rgb <0.502,0.251,0.149>
    }
    normal {
        spotted 0.100
        normal_map {
            [ 0.000
            dents 0.300
             ]
            [ 1.000
            bumps 0.300
             ]
        }
    }
    finish {
        reflection <0.030, 0.030, 0.030 >
        crand 0.0500
        refraction 0
        metallic 1.000
        roughness 0.165
        specular 0.650
        brilliance 3.700
        diffuse 0.360
        ambient <0.330, 0.330, 0.330 >
    }
}


#declare Childhood =
texture {
      pigment
     {
     image_map
    {   gif "C:\Program Files\POV-Ray for Windows\imagemap\EtiquetteC.gif"
     transmit 1, 1
     once
     map_type 0
     interpolate 2
      }
      translate < -0.50, -0.55, 0 >
      scale < 0.9, 0.3, 1 >
      }
      }
#declare Desir =
texture {
      pigment
     {
     image_map
    {   gif "C:\Program Files\POV-Ray for Windows\imagemap\EtiquetteD.gif"
     transmit 1, 1
     once
     map_type 0
     interpolate 2
      }
      translate < -0.50, -0.55, 0 >
      scale < 0.9, 0.3, 1 >
      }
      }
// begin definition
#declare Acier =
texture {
    pigment {
        color rgb <0.404,0.404,0.404>
    }
    normal {
        dents 0.600
    }
    finish {
        metallic 1.000
        roughness 0.050
        specular 0.800
        brilliance 2.000
        diffuse 0.300
        ambient <0.490, 0.490, 0.490 >
        reflection <0.100, 0.100, 0.100 >
    }
}
// begin definition
#declare Noir =
texture {
    pigment {
        rgb <0.200,0.200,0.200>
    }
    finish {
        reflection <0.100, 0.100, 0.100 >
        ambient <0.100, 0.100, 0.100 >
        refraction 0
        phong 0.280
        phong_size 30.000
        brilliance 5.000
        diffuse 0.110
    }
}
// begin definition
#declare Gold_T =
texture {
    pigment {
        rgb <0.850,0.850,0.100>
    }
    finish {
        roughness 0.1
        specular 0.8
        brilliance 2
        reflection 0.15
        diffuse 0.7
        ambient 0.1
    }
}
// begin definition
#declare T_Glass3 =
texture {
    pigment {
        rgbf <0.980,0.980,0.980,0.90>
    }
    finish {
        roughness 0.003
        phong_size 400.000
        phong 0.4
        specular 0.800
        ior 1.450
        refraction 1
        diffuse 0.100
        ambient <0.100, 0.100, 0.100 >
        reflection <0.100, 0.100, 0.100 >
    }
}

// begin definition
#declare Acier2 =
texture {
    pigment {
        color rgb <0.588,0.588,0.588>
    }
    normal {
        dents 0.600
    }
    finish {
        metallic 1.000
        roughness 0.050
        specular 0.800
        brilliance 2.000
        diffuse 0.300
        ambient <0.490, 0.490, 0.490 >
        reflection <0.100, 0.100, 0.100 >
    }
}

// begin definition
#declare Cuivre =
texture {
    pigment {
        color rgb <0.918,0.502,0.000>
    }
    normal {
        marble 0.200
    }
    finish {
        metallic 1.000
        roughness 0.050
        specular 0.800
        brilliance 2.000
        diffuse 0.300
        ambient <0.350, 0.350, 0.350 >
        reflection <0.100, 0.100, 0.100 >
    }
}
// begin definition
#declare Fonte =
texture {
    pigment {
        color rgb <0.311,0.250,0.250>
    }
    finish {
        ambient <0.3, 0.3, 0.3 >
        diffuse 0.3
        brilliance 0.5
        crand 0.2500
        irid { 0.400 thickness 0.000 turbulence <1.02, 1.02, 1.02> } 
    }
}
// begin definition
#declare Acier_Poli =
texture {
    pigment {
        color rgb <0.882,0.882,0.882>
    }
    normal {
        dents 0.500
    }
    finish {
        refraction 1
        fade_power 0.500
        metallic 1.000
        roughness 0.017
        specular 0.360
        brilliance 1
        diffuse 0.400
        ambient 0.25
        reflection <0.120, 0.120, 0.120 >
        irid { 0.000 thickness 0.000 turbulence <0.24, 0.24, 0.24> } //
    }
}
#declare Terre =
texture {
    pigment {
        color rgb <0.620,0.376,0.000>
    }
    normal {
        wrinkles 4.700
    }
}
texture {
    pigment {
        color rgbft <0.827,0.671,0.000,0.32,0.79>
    }
    normal {
        crackle 8.700
    }
}

// begin definition
#declare Beton =
texture {
    pigment {
        color rgb <0.459,0.459,0.459>
    }
    normal {
        granite 0.900
    }
    finish {
        ambient <0.290, 0.290, 0.290 >
        diffuse 0.280
        brilliance 0.500
    }
}
// begin definition
#declare T_Wood32 =
texture {
    pigment {
        wood
        color_map {
            [ 0.150 rgbf <0.38039, 0.14902, 0.0, 0.0> ]
            [ 0.250 rgbf <0.23539, 0.00000, 0.0, 0.0> ]
            [ 0.350 rgbf <0.38139, 0.14912, 0.0, 0.0> ]
            [ 0.450 rgbf <0.23549, 0.00000, 0.0, 0.0> ]
            [ 0.550 rgbf <0.38139, 0.14902, 0.0, 0.0> ]
            [ 0.650 rgbf <0.23559, 0.00000, 0.0, 0.0> ]
            [ 0.750 rgbf <0.38139, 0.14922, 0.0, 0.0> ]
            [ 0.850 rgbf <0.23549, 0.00000, 0.0, 0.0> ]
            [ 0.950 rgbf <0.38039, 0.14902, 0.0, 0.0> ]
            [ 0.900 rgbf <0.23539, 0.00000, 0.0, 0.0> ]
            [ 1.000 rgbf <0.38039, 0.14932, 0.0, 0.0> ]
        }
        turbulence <0.040, 0.040, 0.040>
        scale <0.150, 0.150, 0.150>
    }
}
// begin definition++++++++++++++++++++++++++++++++++++++++
#declare T_Wood3 =
texture {
    pigment {
        wood
        color_map {
            [ 0.000 rgb <0.75, 0.65, 0.45> ]
            [ 0.100 rgb <0.75, 0.65, 0.45> ]
            [ 0.101 rgb <0.75, 0.65, 0.45> ]
            [ 0.900 rgb <0.70, 0.55, 0.40> ]
            [ 0.901 rgb <0.70, 0.55, 0.40> ]
            [ 1.000 rgb <0.75, 0.65, 0.45> ]
        }

        turbulence <0.040, 0.040, 0.040>
        octaves 3
        rotate <2.000, 2.000, 0.000>
        scale <0.050, 0.050, 1.000>
    }
}
texture {
    pigment {
        wood
        color_map {
            [ 0.000 rgbf <0.70, 0.60, 0.40, 0.100> ]
            [ 0.100 rgbf <0.70, 0.60, 0.40, 0.500> ]
            [ 0.101 rgbf <0.70, 0.60, 0.40, 0.650> ]
            [ 0.900 rgbf <0.75, 0.70, 0.60, 0.975> ]
            [ 0.901 rgbf <0.75, 0.70, 0.60, 0.975> ]
            [ 1.000 rgbf <0.70, 0.60, 0.40, 1.000> ]
        }
        turbulence <0.100, 0.500, 1.000>
        octaves 5
        lambda 3.250
        rotate <5.000, 10.000, 5.000>
        scale <0.150, 0.500, 1.000>
        translate <-2.000, 0.000, 0.000>
    }
}
// begin definition+++++++++++++++++++++++++++++++++++++++++++++++++++
#declare terre =
texture {
    pigment {
        color rgb <0.620,0.5,0.388>
    }
    normal {
        wrinkles 4.700
    }
}
texture {
    pigment {
        color rgbft <0.827,0.671,0.000,0.32,0.79>
    }
    normal {
        crackle 8.700
    }
}
//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
#declare Dessus_T = texture { Dark_Wood
 normal { dents 0.5 scale <0.01, 0.1, 0.1>}
 scale 2 rotate y*85 translate z*0.2 }
//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
#declare Mine =
texture {
        pigment { gradient x
        color_map {
        [ 0.0 color Black ]
        [ 0.353 color Black ]
        [ 0.354 rgb < 1, 1, 0.824 > ]
        }
        }
        }
